Mage Pro API
Create Deployment
Trigger a deployment using a specific deployment setting.
POST /deployment_settings/{setting_name}/deployments
string
required
Name of the deployment setting to use for this deployment. Find the deployment setting name on your Mage Pro cluster’s
/apps/deploy page.string
required
The name of the GitHub branch where the commit is located (e.g.,
main, feature/xyz).string
required
A human-readable description of the commit (e.g., GitHub commit message).
string
required
The GitHub commit SHA that will be deployed.
string
required
The branch name in the target deployment environment (e.g.,
deploy-main).string
required
The environment where the deployment will be created (e.g.,
development, staging, production).string
Optional. The directory path inside the deployment environment where the code will be deployed.